Get one page by its crawled URL
Get one page by its crawled URL
GET
/projects/{project_uid}/crawls/{crawl_uid}/pages/detailAuthorization
bearerApiKey AuthorizationBearer <token>
Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
project_uid*string
Accessible project UID. Discover it with GET /projects; do not guess it.
Match
^[a-z0-9]{10}$crawl_uid*string
Crawl UID belonging to the selected project. Discover it with GET /projects/{project_uid}/crawls.
Match
^[a-z0-9]{16}$Query Parameters
url*string
Exact crawled HTTP or HTTPS page URL.
Match
^https?://Format
uriLength
length <= 2048Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/crawls/string/pages/detail?url=http%3A%2F%2Fexample.com"{ "data": { "url": "http://example.com", "final_url": "http://example.com", "domain": "string", "status_code": 0, "content_type": "string", "title": "string", "title_length": 0, "description": "string", "description_length": 0, "h1": "string", "h1_count": 0, "h2_count": 0, "words_count": 0, "content_ratio": 0, "depth": 0, "response_time_ms": 0, "response_bytes": 0, "canonical": "string", "canonical_present": true, "canonical_matches_final_url": true, "json_ld_count": 0, "og_required_tags_present": true, "twitter_card_present": true, "total_links_count": 0, "external_links_count": 0, "internal_links_count": 0, "total_images_count": 0, "missing_alt_images_count": 0, "fetched_at": "2019-08-24T14:15:22Z" }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string"}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}